# Generated from xdg-9.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name xdg

Name: rubygem-%{gem_name}
Version: 9.3.0
Release: 1%{?dist}
Summary: A XDG Base Directory Specification implementation
License: Hippocratic-2.1
URL: https://alchemists.io/projects/xdg
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 3.4
BuildRequires: ruby < 4
BuildArch: noarch

%description
A XDG Base Directory Specification implementation.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.adoc
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.adoc
%{gem_instdir}/xdg.gemspec

%changelog
* Wed Jul 16 2025 mockbuilder - 9.3.0-1
- Initial package
